#
# hemmati2018.R, 18 May 20
#
# Utilizing Product Usage Data for Requirements Evaluation
# Ashkan Hemmati and S. M. Didar Al Alam and Chris Carlson

library("plyr")


id=read.csv("IssuesData.csv", as.is=TRUE)

id$dateC=as.Date(id$Created, format="%d/%m/%Y")
id$dateR=as.Date(id$Resolved, format="%d/%m/%Y")

plot(id$Original.Estimate, id$Time.Spent, log="xy")

plot(id$dateR-id$dateC, id$Time.Spent,log="xy")

idt=subset(id, Time.Spent > 0)

ts_mod=glm(log(Time.Spent) ~ (log(Original.Estimate)+Issue.Type)^2, data=idt)
summary(ts_mod)

oe=count(id$Original.Estimate/60)

par(pch="+")

plot(oe, log="xy", las=1, bty="l", col="blue",
	xlab="Estimate (minutes)", ylab="Tasks")
text(1, 60, "1", col="red")
text(2, 11, "2", col="red")
text(5, 20, "5", col="red")
text(10, 10, "10", col="red")
text(15, 22, "15", col="red")
text(30, 80, "30", col="red")
# text(50, 90, "50", col="red")
text(90, 35, "90", col="red")
text(150, 25, "150", col="red")
# text(200, 20, "5", col="red")

text(60*1, 250, "1 hr", col="red")
text(60*2, 250, "2 hr", col="red")
text(60*3, 100, "3 hr", col="red")
text(60*4, 170, "4 hr", col="red")
text(60*5, 25, "5 hr", col="red")
text(60*6, 40, "6 hr", col="red")
text(60*8, 80, "1 day", col="red")
# text(60*15, 20, col="red")
text(60*8*2, 35, "2 days", col="red")
text(60*8*3, 10, "3 days", col="red")
text(60*8*5, 5.5, "5 days", col="red")

dev.copy(device=pdf, file="/usr1/rbook/est-bright.pdf")
dev.off()

